# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..5\n"; }
END {print "not ok 1\n" unless $loaded;}
use QNX;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Attach a proxy, then place a virtual proxy on remote_node.  Detach
# the virtual proxy, and detach the local proxy.

$msg = 0;
$remote_node = 2;

$proxy = &QNX::proxy_attach( 0, $msg, 1, -1 );
print $proxy == -1 ? "not ok 2" : "ok 2", "\n";

$rem_proxy = &QNX::proxy_rem_attach( $remote_node, $proxy );
print $rem_proxy == -1 ? "not ok 3" : "ok 3", "\n";

$r = &QNX::proxy_rem_detach( $remote_node, $rem_proxy );
print $r == 0 ? "ok 4" : "not ok 4", "\n";

$s = &QNX::proxy_detach($proxy);
print $s == 0 ? "ok 5" : "not ok 5", "\n";
